Package javax.mail.event

# Class TransportEvent

java.lang.Object
java.util.EventObject
javax.mail.event.MailEvent
javax.mail.event.TransportEvent

All Implemented Interfaces:
  `Serializable`

public class TransportEvent extends MailEvent
This class models Transport events.

Author:
  John Mani, Max Spivak
See Also:
  - `Transport`
  - `TransportListener`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Address[]`
`invalid`
The invalid addresses.
`static final int`
`MESSAGE_DELIVERED`
Message has been successfully delivered to all recipients by the transport firing this event.
`static final int`
`MESSAGE_NOT_DELIVERED`
Message was not sent for some reason.
`static final int`
`MESSAGE_PARTIALLY_DELIVERED`
Message was successfully sent to some recipients but not to all.
`protected Message`
`msg`
The Message to which this event applies.
`protected int`
`type`
The event type.
`protected Address[]`
`validSent`
The valid address to which the message was sent.
`protected Address[]`
`validUnsent`
The valid address to which the message was not sent.

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`TransportEvent(Transport transport, int type, Address[] validSent, Address[] validUnsent, Address[] invalid, Message msg)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispatch(Object listener)`
Invokes the appropriate TransportListener method.
`Address[]`
`getInvalidAddresses()`
Return the addresses to which this message could not be sent.
`Message`
`getMessage()`
Get the Message object associated with this Transport Event.
`int`
`getType()`
Return the type of this event.
`Address[]`
`getValidSentAddresses()`
Return the addresses to which this message was sent succesfully.
`Address[]`
`getValidUnsentAddresses()`
Return the addresses that are valid but to which this message was not sent.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### MESSAGE_DELIVERED

public static final int MESSAGE_DELIVERED
Message has been successfully delivered to all recipients by the transport firing this event. validSent[] contains all the addresses this transport sent to successfully. validUnsent[] and invalid[] should be null,

See Also:
  - Constant Field Values

### MESSAGE_NOT_DELIVERED

public static final int MESSAGE_NOT_DELIVERED
Message was not sent for some reason. validSent[] should be null. validUnsent[] may have addresses that are valid (but the message wasn't sent to them). invalid[] should likely contain invalid addresses.

See Also:
  - Constant Field Values

### MESSAGE_PARTIALLY_DELIVERED

public static final int MESSAGE_PARTIALLY_DELIVERED
Message was successfully sent to some recipients but not to all. validSent[] holds addresses of recipients to whom the message was sent. validUnsent[] holds valid addresses to which the message was not sent. invalid[] holds invalid addresses, if any.

See Also:
  - Constant Field Values

### type

protected int type
The event type.

### validSent

protected transient Address[] validSent
The valid address to which the message was sent.

### validUnsent

protected transient Address[] validUnsent
The valid address to which the message was not sent.

### invalid

protected transient Address[] invalid
The invalid addresses.

### msg

protected transient Message msg
The Message to which this event applies.

## Constructor Details

### TransportEvent

public TransportEvent(Transport transport, int type, Address[] validSent, Address[] validUnsent, Address[] invalid, Message msg)
Constructor.

Parameters:
  `transport` - The Transport object
  `type` - the event type (MESSAGE_DELIVERED, etc.)
  `validSent` - the valid addresses to which the message was sent
  `validUnsent` - the valid addresses to which the message was not sent
  `invalid` - the invalid addresses
  `msg` - the message being sent

## Method Details

### getType

public int getType()
Return the type of this event.

Returns:
  type

### getValidSentAddresses

public Address[] getValidSentAddresses()
Return the addresses to which this message was sent succesfully.

Returns:
  Addresses to which the message was sent successfully or null

### getValidUnsentAddresses

public Address[] getValidUnsentAddresses()
Return the addresses that are valid but to which this message was not sent.

Returns:
  Addresses that are valid but to which the message was not sent successfully or null

### getInvalidAddresses

public Address[] getInvalidAddresses()
Return the addresses to which this message could not be sent.

Returns:
  Addresses to which the message sending failed or null

### getMessage

public Message getMessage()
Get the Message object associated with this Transport Event.

Returns:
  the Message object
Since:
  JavaMail 1.2

### dispatch

public void dispatch(Object listener)
Invokes the appropriate TransportListener method.

Specified by:
  `dispatch` in class `MailEvent`
Parameters:
  `listener` - the listener to invoke on